SDL_SensorEvent Struct Reference

Sensor event structure (event.sensor.*) More...

`#include <SDL_events.h>`

## Data Fields

Uint32 | type
Uint32 | timestamp
Sint32 | which
float | data [6]

## Detailed Description

Sensor event structure (event.sensor.*)

Definition at line 498 of file SDL_events.h.

## Field Documentation

## data

float SDL_SensorEvent::data[6]

Up to 6 values from the sensor - additional values can be queried using SDL_SensorGetData()

Definition at line 503 of file SDL_events.h.

## timestamp

Uint32 SDL_SensorEvent::timestamp

In milliseconds, populated using SDL_GetTicks()

Definition at line 501 of file SDL_events.h.

## type

Uint32 SDL_SensorEvent::type

SDL_SENSORUPDATE

Definition at line 500 of file SDL_events.h.

## which

Sint32 SDL_SensorEvent::which

The instance ID of the sensor

Definition at line 502 of file SDL_events.h.

The documentation for this struct was generated from the following file:

- include/SDL_events.h